/**
 * 基于Axios框架实现的Http工具
 * @author wufl2019@qq.com
 * @date 2020-06-23
 */
export declare class HttpUtil {
    private readonly axios;
    constructor(_timeout?: number);
    /**
     * @desc get请求
     * @param {String} path 请求api路径
     * @param {Object} data 参数对象
     * @param {Object} config 局部配置 {headers: {'X-Custom-Header': 'foobar'}}
     */
    get(url: string, data?: object, headers?: object): Promise<any>;
}
declare const _default: HttpUtil;
export default _default;
